// Default styles annulation
* {
    padding: 0;
    margin: 0;
    border: 0;
}

*, *::before, *::after {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

:focus, :active {outline: none;}
a:focus, a:active{outline: none;}

nav,footer,header,aside{display: block;}

html, body {
    height: 100%;
    width: 100%;
    font-size: 100%;
    line-height: 1;
    font-size: 14px;
    -ms-text-size-adjust: 100%;
    -moz-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
}

input, button, textarea{font-family: inherit;}

input::-ms-clear{display: none;}
button{cursor: pointer;}
button::-moz-focus-inner {padding: 0; border: 0;}
a, a:visited{text-decoration: none;}
ul, li{list-style: none;}
img{vertical-align: top;}

h1, h2, h3, h4, h5, h6 {font-size: inherit; font-weight: 400;}


// Main variables
:root {
    --main-color: #FF8929
}

// First page
.right-part {
    display: flex;
    flex-wrap: wrap;

    .step-indicator {
            width: 100px;
            height: 35px;
            display: flex;
            position: relative;
            background: #000000;
            border-radius: 5px;
            color: white;
            justify-content: center;
            align-items: center;
            font-family: 'Gilroy';
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 17px;
            margin: 15px auto 0 auto;
            top: -18px;
        }

        h3 {
            width: 273px;
            font-family: 'Gilroy';
            font-style: normal;
            font-weight: 600;
            font-size: 22px;
            line-height: 30px;
            text-align: center;
            margin-bottom: 24px;
        }
    
        .options-container {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
    
            .option {
                width: 140px;
                height: 245px;
                background: white;
                padding: 13px 11.5px 0 11.5px;
                border-radius: 5px;
        
                img {
                    width: 117px;
                    height: 154px;
                    margin-bottom: 24px;
                    border-radius: 5px;
                }
            }
    
            .styled {
                background: var(--main-color);
                color: white;
                font-weight: 600; 
            }
        }
    
    .next-step-button {
        display: none;
    }
}

// Quiz section
//Mobile 375px

.quiz-container {
    box-shadow: 0px 0px 40px rgba(0, 0, 0, 0.15);
    padding: 45px 40px 48px 40px;
}

.back-button {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    background: #D8D8D8;
    width: 40px;
    height: 40px;
    border-radius: 15px;
    border: none;
    left: 25px;
}


//Step 2
.step-2 {
    display: flex;
    height: 100%;
    justify-content: center;

    .main-container {
        display: flex;
        flex-direction: column;
        align-items: center;

        .step-indicator {
            width: 100px;
            height: 35px;
            display: flex;
            position: relative;
            background: #000000;
            border-radius: 5px;
            color: white;
            justify-content: center;
            align-items: center;
            font-family: 'Gilroy';
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 17px;
            margin: 15px auto 0 auto;
            top: -18px;
        }

        h3 {
            width: 273px;
            font-family: 'Gilroy';
            font-style: normal;
            font-weight: 600;
            font-size: 22px;
            line-height: 30px;
            text-align: center;
            margin-bottom: 24px;
        }
    
        .options-container {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
            max-width: 330px;
    
            .option {
                width: 140px;
                height: 245px;
                background: white;
                padding: 13px 11.5px 0 11.5px;
                border-radius: 5px;
        
                img {
                    width: 117px;
                    height: 154px;
                    margin-bottom: 24px;
                    border-radius: 5px;
                }
            }
    
            .styled {
                background: var(--main-color);
                color: white;
                font-weight: 600; 
            }
        }
    }
}

//Step 3
.step-3 {
    display: flex;
    height: 100%;
    justify-content: center;

    .main-container {
        display: flex;
        flex-direction: column;
        align-items: center;

        .step-indicator {
            width: 100px;
            height: 35px;
            display: flex;
            position: relative;
            background: #000000;
            border-radius: 5px;
            color: white;
            justify-content: center;
            align-items: center;
            font-family: 'Gilroy';
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 17px;
            margin: 15px auto 0 auto;
            top: -18px;
        }

        h3 {
            font-family: 'Gilroy';
            font-style: normal;
            font-weight: 600;
            font-size: 22px;
            line-height: 30px;
            text-align: center;
            margin-bottom: 24px;
        }
    
        .options-container {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
            max-width: 330px;
    
            .option {
                display: flex;
                flex-direction: column;
                align-items: center;
                width: 140px;
                height: 245px;
                background: white;
                padding: 13px 11.5px 0 11.5px;
                border-radius: 5px;
        
                img {
                    width: 117px;
                    height: 154px;
                    margin-bottom: 24px;
                    border-radius: 5px;
                }

                span {
                    font-family: 'Gilroy';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 14px;
                    line-height: 16px;
                    text-align: center;
                }
            }
    
            .styled {
                background: var(--main-color);
                color: white;
                font-weight: 600; 
            }
        }
    }
}


// Step 4
.step-4 {
    display: flex;
    height: 100%;
    justify-content: center;

    .main-container {
        display: flex;
        flex-direction: column;
        align-items: center;

        .step-indicator {
            width: 100px;
            height: 35px;
            display: flex;
            position: relative;
            background: #000000;
            border-radius: 5px;
            color: white;
            justify-content: center;
            align-items: center;
            font-family: 'Gilroy';
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 17px;
            margin: 15px auto 0 auto;
            top: -18px;
        }

        h3 {
            font-family: 'Gilroy';
            font-style: normal;
            font-weight: 600;
            font-size: 22px;
            line-height: 30px;
            text-align: center;
            margin-bottom: 24px;
        }
    
        .options-container {
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            max-width: 330px;
    
            .option {
                display: flex;
                flex-direction: column;
                align-items: center;
                background: white;
                padding: 13px 11.5px 0 11.5px;
                border-radius: 5px;
        
                img {
                    width: 190px;
                    height: 145px;
                    border-radius: 5px;
                }

                span {
                    font-family: 'Gilroy';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 14px;
                    line-height: 16px;
                    text-align: center;
                    margin: 20px 0;
                }
            }
    
            .styled {
                background: var(--main-color);
                color: white;
                font-weight: 600; 
            }
        }
    }
}

// Step 5 - Form
.step-5 {

    .main-container {
        display: flex;
        flex-direction: column;
        align-items: center;

        .step-indicator {
            width: 100px;
            height: 35px;
            display: flex;
            position: relative;
            background: #000000;
            border-radius: 5px;
            color: white;
            justify-content: center;
            align-items: center;
            font-family: 'Gilroy';
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 17px;
            margin: 15px auto 38px auto;
            top: -18px;
        }

        .congrats {
            display: flex;
            justify-content: center;
            align-items: center;
            width: 310px;
            height: 40px;
            background: #BCF2C1;
            border-radius: 5px;
            font-family: 'Gilroy';
            font-style: normal;
            font-weight: 500;
            font-size: 14px;
            line-height: 24px;
            margin-bottom: 20px;
        }

        h3 {
            font-family: 'Gilroy';
            font-style: normal;
            font-weight: 600;
            font-size: 22px;
            line-height: 30px;
            text-align: center;
            margin-bottom: 30px;
        }
    
        form {

            .form-subcontainer {
                display: flex;
                width: 280px;
                height: 50px;         
                border: 1px solid #8D8D8D;
                border-radius: 5px;
                align-items: center;
                margin-bottom: 20px;


                input {
                    width: 100%;
                    height: 100%;
                    border-radius: 30px;
                    font-family: 'Gilroy';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 14px;
                    line-height: 16px;
                }

                img {
                    width: 25px;
                    height: 25px;
                    margin: 0 13px;
                }
            }    
            
            .form-subcontainer:last-of-type {
                input {
                    text-align: center;
                }
            }

            .form-subcontainer:focus-within {
                border: 1px solid var(--main-color);
            }

            .error {
                border: 1px solid red;
                margin-bottom: 5px;
            }

            .error-message {
                font-family: 'Gilroy';
                font-style: normal;
                font-weight: 400;
                font-size: 14px;
                line-height: 16px;
                color: red;
                margin-bottom: 10px;
            }

            button {
                display: flex;
                width: 280px;
                height: 50px;
                background: var(--main-color);
                justify-content: center;
                align-items: center;
                border-radius: 30px;
                color: white;
                font-family: 'Gilroy';
                font-style: normal;
                font-weight: 600;
                font-size: 16px;
                line-height: 19px;
                margin-bottom: 20px;
            }

            button:disabled {
                background: rgba(255, 126, 50, 0.7)
            }
        }

        .data-rules-container {
            font-family: 'Gilroy';
            font-style: normal;
            font-weight: 400;
            font-size: 13px;
            line-height: 15px;
            text-align: center;

            a {
                color: var(--main-color);
            }

        }
    }
}


.hide {
    display: none;
}